Summary:	Extension that enables Gnome Keyring integration
Name:		mozilla-addon-gnome-keyring
Version:	0.12
Release:	1
License:	MPL v1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	https://github.com/swick/mozilla-gnome-keyring/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	66d2e1920e387573652436c3bba5f83c
Patch0:		firefox-version.patch
URL:		https://github.com/swick/mozilla-gnome-keyring/
# libgnome-keyring.so.0 is dlopened (content/gnome-keyring.js)
Requires:	libgnome-keyring
# not noarch due to %{_libdir} use in triggers
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# nothing to put there
%define		_enable_debug_packages	0

# this comes from install.rdf
%define		extension_id		gnome-keyring-integration@sebastianwick.net

%define		extensionsdir		/usr/lib/mozilla/extensions

%define		iceweasel_dir	%{_datadir}/iceweasel/browser/extensions
%define		icedove_dir		%{_libdir}/icedove/extensions
%define		thunderbird_dir	%{_libdir}/thunderbird/extensions

%description
This extension replaces the default password manager in both Firefox
and Thunderbird with an implementation which stores the passwords in
Gnome keyring.

This allows for safe storage of passwords without prompting for
password after Firefox or Thunderbird has been started.

%prep
%setup -qn mozilla-gnome-keyring-%{version}
%patch0 -p1

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_id}
unzip bin/*.xpi -d $RPM_BUILD_ROOT%{extensionsdir}/%{extension_id}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 0.10-4
rm -f %{icedove_dir}/"{6f9d85e0-794d-11dd-ad8b-0800200c9a66}"
rm -f %{icedove_dir}/"{3550f703-e582-4d05-9a08-453d09bdfdc6}"

%triggerin -- icedove
test -L %{icedove_dir}/%{extension_id} || \
	ln -sf %{extensionsdir}/%{extension_id} %{icedove_dir}/%{extension_id}

%triggerun -- icedove
if [ "$1" = "0" ] || [ "$2" = "0" ] && [ -L %{icedove_dir}/%{extension_id} ]; then
	rm -f %{icedove_dir}/%{extension_id}
fi

%triggerin -- iceweasel
test -L %{iceweasel_dir}/%{extension_id} || \
	ln -sf %{extensionsdir}/%{extension_id} %{iceweasel_dir}/%{extension_id}

%triggerun -- iceweasel
if [ "$1" = "0" ] || [ "$2" = "0" ] && [ -L %{iceweasel_dir}/%{extension_id} ]; then
	rm -f %{iceweasel_dir}/%{extension_id}
fi

%triggerin -- thunderbird
test -L %{thunderbird_dir}/%{extension_id} || \
	ln -sf %{extensionsdir}/%{extension_id} %{thunderbird_dir}/%{extension_id}

%triggerun -- thunderbird
if [ "$1" = "0" ] || [ "$2" = "0" ] && [ -L %{thunderbird_dir}/%{extension_id} ]; then
	rm -f %{thunderbird_dir}/%{extension_id}
fi

%files
%defattr(644,root,root,755)
%dir %{extensionsdir}/%{extension_id}
%{extensionsdir}/%{extension_id}/chrome.manifest
%{extensionsdir}/%{extension_id}/install.rdf
%{extensionsdir}/%{extension_id}/chrome
%{extensionsdir}/%{extension_id}/components
%{extensionsdir}/%{extension_id}/content
%{extensionsdir}/%{extension_id}/defaults
%changelog
* Mon Jul 03 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mozilla-addon-gnome-keyring.git;a=log;h=master

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> d318e92
- up to 0.12

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> 9481620
- typos

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> 30640d6
- add trigger for thunderbird

* Fri Jan 22 2016 Elan Ruusamäe <glen@delfi.ee> be42789
- fix trigger target

* Fri Jan 22 2016 Elan Ruusamäe <glen@delfi.ee> a1115d2
- setup trigger for iceweasel, more macros fun

* Fri Jan 22 2016 Elan Ruusamäe <glen@delfi.ee> 3a0d4ac
- drop extra subdirs

* Fri Jan 22 2016 Elan Ruusamäe <glen@delfi.ee> 5846211
- drop old extension link from 7f552d1 for icedove

* Fri Jan 22 2016 Elan Ruusamäe <glen@delfi.ee> c39a093
- no content for debuginfo package

* Mon Nov 02 2015 Jan Rękorajski <baggins@pld-linux.org> 2876983
- clarify not-noarch comment

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> f4c511a
- disable noarch

* Sun Nov 01 2015 Elan Ruusamäe <glen@delfi.ee> 50b3add
- libgnome-keyring.so.0 is dlopened, not libsecret

* Sun Nov 01 2015 Jan Rękorajski <baggins@pld-linux.org> 7f552d1
- the old C extension is unmaintaned and dead, switched to new JS based implementation
- noarch package

* Fri Oct 30 2015 Jan Rękorajski <baggins@pld-linux.org> 8e96e97
- add threads library to link options

* Sun Aug 09 2015 Jan Rękorajski <baggins@pld-linux.org> 32d1bd2
- release 10 (by relup.sh)

* Sun Aug 02 2015 Jan Rękorajski <baggins@pld-linux.org> fd6dbe1
- release 9 (by relup.sh)

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 592212c
- release 8 (by relup.sh)

* Sun Apr 19 2015 Jan Rękorajski <baggins@pld-linux.org> d49371c
- release 7 (by relup.sh)

* Sun Feb 01 2015 Jan Rękorajski <baggins@pld-linux.org> ba6ea7e
- release 6 (by relup.sh)

* Sun Dec 14 2014 Elan Ruusamäe <glen@delfi.ee> 73d5166
- add missing hook to register extension in an app

* Sat Dec 06 2014 Jan Rękorajski <baggins@pld-linux.org> 5f0bda1
- release 4 (by relup.sh)

